org.apache.ignite.internal.management.snapshot

## Class SnapshotCheckCommand

- java.lang.Object
- - org.apache.ignite.internal.management.snapshot.AbstractSnapshotCommand<SnapshotCheckCommandArg>
  - - org.apache.ignite.internal.management.snapshot.SnapshotCheckCommand

All Implemented Interfaces:
  Command<SnapshotCheckCommandArg,SnapshotTaskResult>, ComputeCommand<SnapshotCheckCommandArg,SnapshotTaskResult>

    public class SnapshotCheckCommand
    extends AbstractSnapshotCommand<SnapshotCheckCommandArg>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
Constructor and Description
`SnapshotCheckCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Class<SnapshotCheckCommandArg>` `argClass()`
`String` `description()` Command description.
`void` `printResult(SnapshotCheckCommandArg arg, SnapshotTaskResult res0, Consumer<String> printer)` Prints command result to the user.
`Class<SnapshotCheckTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`nodes`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`confirmationPrompt, deprecationMessage`

### Constructor Detail

#### SnapshotCheckCommand

    public SnapshotCheckCommand()

### Method Detail

#### description

    public String description()

Command description.

#### argClass

    public Class<SnapshotCheckCommandArg> argClass()

Returns:
  Arguments class.

#### taskClass

    public Class<SnapshotCheckTask> taskClass()

Returns:
  Task class.

#### printResult

    public void printResult(SnapshotCheckCommandArg arg,
                            SnapshotTaskResult res0,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<SnapshotCheckCommandArg,SnapshotTaskResult>`
Overrides:
  `printResult` in class `AbstractSnapshotCommand<SnapshotCheckCommandArg>`
Parameters:
  `arg` - Argument.
  `res0` - Result.
  `printer` - Implementation specific printer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023